package digital;
import java.awt.Rectangle;

/** Implements the on/off button on the virtual W1.  A tap ("on") does
 * nothing.  A hold exits the program though of course can't switch off the
 * real W1.
 *
 * Mike Markowski<br>
 * March 2007
 */

public class ButtonOff extends Button {

	/** Create a on/off button specifying internally used button name (not
	 * displayed on-screen) and the geometry in pixels specifying where the
	 * button is on-screen. */
	ButtonOff(String name, int x0, int y0, int xlen, int ylen) {
		this.name = name;
		this.geometry = new Rectangle(x0, y0, xlen, ylen);
	}

}
